> For the complete documentation index, see [llms.txt](/llms.txt).

# Generate offers

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/applications/{application_id}/offers/`

Generates offers for an application.

## Path parameters
- `application_id` (string, required)

## Responses
### 200 — Success
```json
{
  "data": {
    "offer_creation_status": "offers_available",
    "offers": [
      {
        "data_requirements": [
          {
            "actions": [
              {
                "name": "upload_bank_statement",
                "quantifier": {
                  "unit": "months",
                  "value": 6
                }
              }
            ],
            "category": "documents"
          },
          {
            "actions": [
              {
                "name": "outstanding_cbils_or_bbl"
              }
            ],
            "category": "company_data"
          }
        ],
        "duration": {
          "amount": 365,
          "unit": "days"
        },
        "interest_rate": 2.8,
        "is_suggested": true,
        "max_amount": 48000,
        "offer_id": "2c2155b5-1c68-4479-95ca-ae93d7501f9c",
        "offer_type": "indicative",
        "probability_of_offer": "high",
        "timeout": "2022-08-01T00:00:00+0000"
      },
      {
        "approximate_apr": 39.95,
        "duration": {
          "amount": 365,
          "unit": "days"
        },
        "interest_rate": 2.8,
        "is_suggested": false,
        "max_amount": 15000,
        "offer_id": "0873268f-4930-411c-8f28-4c298089730f",
        "offer_type": "confirmed",
        "payment_interval": "1m",
        "personal_guarantee_proportion": 100,
        "timeout": "2022-08-01T00:00:00+0000"
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/applications/<application_id>/offers/' \
  --header 'Authorization: Bearer <api-key>'
```